Bug 1643551 - [abrt] dnf: raw_decode(): decoder.py:355:raw_decode:json.decoder.JSONDecodeError: Expecting value: line 1 column 79 (char 78)
Summary: [abrt] dnf: raw_decode(): decoder.py:355:raw_decode:json.decoder.JSONDecodeEr...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavla Kratochvilova
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fafb5f2e65f32bdcb9c9a2832f2...
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-26 13:55 UTC by someone
Modified: 2019-03-28 16:11 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-16 04:48:58 UTC


Attachments (Terms of Use)
File: backtrace (1.93 KB, text/plain)
2018-10-26 13:55 UTC, someone
no flags Details
File: cgroup (389 bytes, text/plain)
2018-10-26 13:55 UTC, someone
no flags Details
File: cpuinfo (1.91 KB, text/plain)
2018-10-26 13:55 UTC, someone
no flags Details
File: dnf-makecache.log (2.87 KB, text/plain)
2018-10-26 13:55 UTC, someone
no flags Details
File: environ (5.88 KB, text/plain)
2018-10-26 13:55 UTC, someone
no flags Details
File: mountinfo (5.34 KB, text/plain)
2018-10-26 13:55 UTC, someone
no flags Details
File: namespaces (129 bytes, text/plain)
2018-10-26 13:55 UTC, someone
no flags Details
File: open_fds (497 bytes, text/plain)
2018-10-26 13:55 UTC, someone
no flags Details
File: _var_log_dnf.log (12.18 MB, text/plain)
2018-10-26 13:59 UTC, someone
no flags Details

Description someone 2018-10-26 13:55:15 UTC
Description of problem:
dnf system-upgrade currently doesn't work at all. Happened when trying to update from Fedora 29 to Rawhide, and even after having migrated to Rawhide through another method, this message still appears.

Version-Release number of selected component:
dnf-4.0.4-1.fc30

Additional info:
reporter:       libreport-2.9.6
cmdline:        /usr/bin/python3 /usr/bin/dnf system-upgrade
crash_function: raw_decode
exception_type: json.decoder.JSONDecodeError
executable:     /usr/bin/dnf
interpreter:    python3-3.7.1-1.fc30.x86_64
kernel:         4.19.0-1.fc30.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
decoder.py:355:raw_decode:json.decoder.JSONDecodeError: Expecting value: line 1 column 79 (char 78)

Traceback (most recent call last):
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 179, in user_main
    errcode = main(args)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 95, in _main
    cli.configure(list(map(ucd, args)), option_parser())
  File "/usr/lib/python3.7/site-packages/dnf/cli/cli.py", line 882, in configure
    self._parse_commands(opts, args)
  File "/usr/lib/python3.7/site-packages/dnf/cli/cli.py", line 802, in _parse_commands
    self.command = command_cls(self)
  File "/usr/lib/python3.7/site-packages/dnf-plugins/system_upgrade.py", line 293, in __init__
    self.state = State()
  File "/usr/lib/python3.7/site-packages/dnf-plugins/system_upgrade.py", line 111, in __init__
    self._read()
  File "/usr/lib/python3.7/site-packages/dnf-plugins/system_upgrade.py", line 116, in _read
    self._data = json.load(fp)
  File "/usr/lib64/python3.7/json/__init__.py", line 296, in load
    parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
  File "/usr/lib64/python3.7/json/__init__.py", line 348, in loads
    return _default_decoder.decode(s)
  File "/usr/lib64/python3.7/json/decoder.py", line 337, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib64/python3.7/json/decoder.py", line 355, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 79 (char 78)

Local variables in innermost frame:
self: <json.decoder.JSONDecoder object at 0x7f04f7e2d160>
s: '{"download_status": "downloading", "target_releasever": "rawhide", "exclude": '
idx: 0

Comment 1 someone 2018-10-26 13:55:21 UTC
Created attachment 1497799 [details]
File: backtrace

Comment 2 someone 2018-10-26 13:55:23 UTC
Created attachment 1497800 [details]
File: cgroup

Comment 3 someone 2018-10-26 13:55:24 UTC
Created attachment 1497801 [details]
File: cpuinfo

Comment 4 someone 2018-10-26 13:55:25 UTC
Created attachment 1497803 [details]
File: dnf-makecache.log

Comment 5 someone 2018-10-26 13:55:27 UTC
Created attachment 1497805 [details]
File: environ

Comment 6 someone 2018-10-26 13:55:28 UTC
Created attachment 1497806 [details]
File: mountinfo

Comment 7 someone 2018-10-26 13:55:30 UTC
Created attachment 1497807 [details]
File: namespaces

Comment 8 someone 2018-10-26 13:55:31 UTC
Created attachment 1497808 [details]
File: open_fds

Comment 9 someone 2018-10-26 13:59:27 UTC
Created attachment 1497810 [details]
File: _var_log_dnf.log

Comment 11 Pavla Kratochvilova 2018-10-31 07:07:50 UTC
The PR has been merged.

Comment 12 Adam Williamson 2018-11-10 00:41:59 UTC
I've backported this fix (and the weak deps one) for F29 and Rawhide packages, since openQA is constantly failing on this and I'd like it not to.

Comment 13 Fedora Update System 2018-11-10 00:45:55 UTC
dnf-plugins-extras-3.0.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-20133f59b8

Comment 14 Fedora Update System 2018-11-11 05:33:36 UTC
dnf-plugins-extras-3.0.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-20133f59b8

Comment 15 Couret Charles-Antoine 2018-11-13 08:11:48 UTC
The issue still here, even after cleaning dnf and caches.

Comment 16 Pavla Kratochvilova 2018-11-13 13:07:40 UTC
Hi, cleaning cache is not sufficient in this case; can you please remove the following file?
/var/lib/dnf/system-upgrade.json
The system-upgrade should work afterwards.

Comment 17 Couret Charles-Antoine 2018-11-13 14:24:21 UTC
You're right, clean commands for dnf and this plugin is not enough apparently. We have to do that manually.

Thanks!

Comment 18 Adam Williamson 2018-11-13 17:18:12 UTC
Maybe we should enhance the plugin to catch when the file is 'bad' and deal with it somehow...otherwise I'd better write this into the common bugs...

Comment 19 Pavla Kratochvilova 2018-11-14 12:52:36 UTC
I agree, this needs to be fixed in the plugin. I created bug 1649745 to track the issue, since this one is already ON_QA. Thanks for reporting this.

Comment 20 Fedora Update System 2018-11-16 04:48:58 UTC
dnf-plugins-extras-3.0.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Adam Williamson 2019-03-28 16:11:31 UTC
A fix was merged to the plugin, so dropping CommonBugs.


Note You need to log in before you can comment on or make changes to this bug.